Broadcast Offer
curl --request POST \
--url https://api.example.com/cabinet/admin/promo-offers/broadcast \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification_type": "<string>",
"valid_hours": 2,
"discount_percent": 0,
"bonus_amount_kopeks": 0,
"effect_type": "percent_discount",
"extra_data": {},
"target": "<string>",
"user_id": 123,
"telegram_id": 123,
"email": "<string>",
"send_notification": false,
"message_text": "<string>",
"button_text": "<string>"
}
'import requests
url = "https://api.example.com/cabinet/admin/promo-offers/broadcast"
payload = {
"notification_type": "<string>",
"valid_hours": 2,
"discount_percent": 0,
"bonus_amount_kopeks": 0,
"effect_type": "percent_discount",
"extra_data": {},
"target": "<string>",
"user_id": 123,
"telegram_id": 123,
"email": "<string>",
"send_notification": False,
"message_text": "<string>",
"button_text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notification_type: '<string>',
valid_hours: 2,
discount_percent: 0,
bonus_amount_kopeks: 0,
effect_type: 'percent_discount',
extra_data: {},
target: '<string>',
user_id: 123,
telegram_id: 123,
email: '<string>',
send_notification: false,
message_text: '<string>',
button_text: '<string>'
})
};
fetch('https://api.example.com/cabinet/admin/promo-offers/broadcast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_offers": 123,
"user_ids": [
123
],
"target": "<string>",
"notifications_sent": 0,
"notifications_failed": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Promo Offers
Broadcast Offer
Broadcast promo offer to users with optional Telegram notification.
POST
/
cabinet
/
admin
/
promo-offers
/
broadcast
Broadcast Offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Required range:
x >= 1Required range:
x >= 0Required range:
x >= 0Minimum string length:
1User email (for email-only users)
Send Telegram notification to users
Custom message text (HTML)
Button text
⌘I
